unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, 
    Dialogs, Grids;

type

  { TForm1 }

  TForm1 = class(TForm)
    DrawGrid1: TDrawGrid;
    StringGrid1: TStringGrid;
    procedure DrawGrid1DrawCell(Sender: TObject; aCol,
      aRow: Integer; aRect: TRect; aState: TGridDrawState);
    procedure FormCreate(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
var
  aCol, aRow: Integer;
begin
  DrawGrid1.RowCount := 20;
  StringGrid1.RowCount := 20;
  for aRow := 0 to StringGrid1.RowCount - 1 do
    for aCol := 0 to StringGrid1.ColCount - 1 do
      StringGrid1.Cells[aCol, aRow] := IntToStr(aCol) + '/' + IntToStr(aRow);
end;

procedure TForm1.DrawGrid1DrawCell(Sender: TObject; aCol,
  aRow: Integer; aRect: TRect; aState: TGridDrawState);
begin
  DrawGrid1.Canvas.TextRect(aRect, aRect.Left, aRect.Top, IntToStr(aCol) + '/' + IntToStr(aRow));
end;

end.

